@tailwind base;
@tailwind components;
@tailwind utilities;

:root {
  --foreground-rgb: 0, 0, 0;
  --background-start-rgb: 214, 219, 220;
  --background-end-rgb: 255, 255, 255;
}

@media (prefers-color-scheme: dark) {
  :root {
    --foreground-rgb: 255, 255, 255;
    --background-start-rgb: 0, 0, 0;
    --background-end-rgb: 0, 0, 0;
  }
}

body {
  color: rgb(var(--foreground-rgb));
  background: linear-gradient(
      to bottom,
      transparent,
      rgb(var(--background-end-rgb))
    )
    rgb(var(--background-start-rgb));
}

@layer utilities {
  .text-balance {
    text-wrap: balance;
  }

  .input-range-thumb {
    @apply h-6 w-6 bg-purple-700 rounded-full cursor-pointer;
  }
  
  input[type="range"]::-webkit-slider-thumb {
    @apply input-range-thumb;
    -webkit-appearance: none; /* Override default appearance */
  }

  input[type="range"]::-moz-range-thumb {
    @apply input-range-thumb;
  }
}
